VantPay API Documentation
API Docs
API Docs
  1. Virtual Account
  • Authentication
    • authenticate-merchant
      POST
  • Virtual Account
    • create-static-account
      POST
    • create-dynamic-account
      POST
    • get-static-virtual-accounts
      GET
    • get-wallet-balance
      GET
    • get-prefixes
      GET
    • get-dynamic-virtual-accounts
      GET
    • validate-virtual-account
      POST
  • Inward Transfers
    • Inward TransQuery (TSQ)
      • inward-traansquery
    • Inward Transactions
      • get-wallet transactions
  • Merchant Settlement
    • Merchant Payout
      • merchant-settlement
    • Get Settlement History
      • get-settlement-history
    • Confirm Payout Status
      • get-settlement-status
  • Checkout
    • initiate-checkout
      POST
    • create-account
      POST
    • complete-checkout
      POST
    • query-access-code
      GET
  1. Virtual Account

create-static-account

POST
/api/v1/virtual-accounts/create/static
This endpoint enables the creation of static virtual accounts on the VantPay platform for collection purposes.
Descriptions for each field:
BVN:
Customer’s Bank Verification Number. This is a mandatory field required for identity validation and for the creation of a static virtual account.
Prefix:
Merchant-specific prefix assigned by the system. This mandatory field is used in generating the customer’s virtual account number.
TerminalId:
Unique identifier of the merchant’s terminal or channel initiating the request. Used in identifying POS transaction and routing (Optional).
Amount:
Transaction amount to be processed, expressed in the lowest currency denomination where applicable. Must be greater than zero if amount validation is enabled on the prefix (Optional).
IsPos: Boolean flag indicating whether the account is to be used on a POS terminal (Optional).
true – Transaction initiated via POS
false – Transaction initiated via a non-POS channel

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://digitvirtual-dev.digitvant.com/api/v1/virtual-accounts/create/static' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "bvn": "",
  "prefix": "300",
  "terminalId": "string",
  "amount": 0,
  "isPos": false
}'
Response Response Example
{}
Modified at 2026-02-19 13:50:35
Previous
Virtual Account
Next
create-dynamic-account
Built with